loadkeys de-latin1
pacman -S tamsyn-font
setfont Tamsyn10x20r
pacstrap /mnt base linux-lts linux-firmware git vim amd-ucode
arch-chroot /mnt
git clone https://gitlab.com/eflinux/arch-basic

# base.sh
ln -sf /usr/share/zoneinfo/Europe/Zurich /etc/localtime
xwclock --systohc
sed -i 's/#\(de_DE.UTF-8\)/\1/' /etc/locale.gen
locale-gen
echo "LANG=de_DE.UTF-8" >> /etc/locale.conf
echo "KEYMAP=de-latin1" >> /etc/vconsole.conf
echo "arch" >> /etc/hostname
echo "127.0.0.1 localhost" >> /etc/hosts
echo "::1       localhost" >> /etc/hosts
echo "127.0.1.1 arch.localdomain arch" >> /etc/hosts
echo root:test | chpasswd

# You can add xorg to the installation packages, I usually add it at the DE or WM install script
# You can remove the tlp package if you are installing on a desktop or vm

pacman -S grub efibootmgr networkmanager network-manager-applet dialog wpa_supplicant mtools dosfstools reflector base-devel linux-lts-headers avahi xdg-user-dirs xdg-utils gvfs gvfs-smb nfs-utils inetutils dnsutils bluez bluez-utils cups hplip alsa-utils pulseaudio xorg pavucontrol bash-completion openssh rsync reflector acpi acpi_call tlp virt-manager qemu qemu-arch-extra edk2-ovmf bridge-utils dnsmasq vde2 openbsd-netcat iptables-nft ipset firewalld flatpak sof-firmware nss-mdns acpid os-prober ntfs-3g tamsyn-font

pacman -S --noconfirm xf86-video-amdgpu
# pacman -S --noconfirm nvidia nvidia-utils nvidia-settings

grub-install --target=x86_64-efi --efi-directory=/boot/efi --bootloader-id=GRUB
grub-mkconfig -o /boot/grub/grub.cfg

systemctl enable NetworkManager
systemctl enable bluetooth
systemctl enable cups.service
systemctl enable sshd
systemctl enable avahi-daemon
systemctl enable tlp # You can comment this command out if you didn't install tlp, see above
systemctl enable reflector.timer
systemctl enable fstrim.timer
systemctl enable libvirtd
systemctl enable firewalld
systemctl enable acpid

useradd -m eichehome
echo eichehome:testen | chpasswd
usermod -aG libvirt eichehome

echo "ermanno ALL=(ALL) ALL" >> /etc/sudoers.d/ermanno


printf "\e[1;32mDone! Type exit, umount -a and reboot.\e[0m"

vim /etc/mkinitcpio.conf
# MODULES=(amdgpu)
mkinitcpio -p linux-lts
pacman -S i3 terminator lxappearance nitrogen pcmanfm firefox dmenu
git clone https://aur.archlinux.org/ly
cd ly
makepkg -si
sudo systemctl enable ly.service
sudo vim /etc/default/grub
# add video=1920x1080
sudo grub-mkconfig -o /boot/grub/grub.cfg
cd .config/i3/
vim config
# saerch for terminal and change it to terminator
# add at the end:
# exec setxkbmap de
# exec xrandr --uotput Virtual-1 --mode 1920x1080
# exec nitrogen --restore
sudo pacman -S arc-gtk-theme archlinux-wallpaper
# set terminal
# wallpapers at /usr/share/backgrounds/archlinux
#=================
# $mod+enter=terminal
# $mod+shift+q=close
# $mod+d=dmenu(starter)
#=================
# .bashrc
# complete -cf doas
# shopt -s autocd
