ln -sf /usr/share/zoneinfo/Europe/Berlin /etc/localtime
hwclock --systohc

# vim /etc/locale.gen
sed -i 's/#\(de_DE.UTF-8\)/\1/' /etc/locale.gen
locale-gen

echo "LANG=de_DE.UTF-8" >> /etc/locale.conf
echo "KEYMAP=de-latin1" >> /etc/vconsole.conf #only for console not for DE or terminal
echo "FONT=Tamsyn10x20r" >> /etc/vconsole.conf
echo "arch" >> /etc/hostname
# vim /etc/hosts
echo "127.0.0.1	localhost" >> /etc/hosts
echo "::1	localhost" >> /etc/hosts
echo "127.0.1.1	arch.localedomain	arch" >> /etc/hosts
echo root:test | chpasswd


# Wish
# pacman -S --noconfirm efibootmgr dialog iwd mtools doasfstools reflector base-devel linux-headers avahi nss-mdns xdg-user-dirs xdg-utils inetutils dnsutils bluez bluez-utils cups hplip alsa-utils pipewire pipewire-alsa pipewire-pulseaudio pipewire-jack pavucontrol bash-completion openssh rsync acpi acpi_call tlp virt-manager qemu qemu-arch-extra edk2-ovmf bridge-utils dnsmasq vde2 openbsd-netcat iptables-nft ipset firewalld sof-firmware acpid os-prober ntfs-3g tamsyn-font
# i3

pacman -S efibootmgr dialog iwd mtools dosfstools reflector base-devel linux-headers avahi xdg-user-dirs xdg-utils gvfs gvfs-smb nfs-utils inetutils dnsutils bluez bluez-utils cups hplip alsa-utils pulseaudio xorg pavucontrol bash-completion openssh rsync acpi acpi_call tlp virt-manager qemu qemu-arch-extra edk2-ovmf bridge-utils dnsmasq vde2 openbsd-netcat iptables-nft ipset firewalld sof-firmware acpid os-prober ntfs-3g
exit 0
# All
# pacman -S --noconfirm efibootmgr dialog <iwd>/<wpa_supplicant> mtools doasfstools reflector base-devel linux-headers <avahi> xdg-user-dirs xdg-utils <gvfs gvfs-smb nfs-utils> inetutils dnsutils bluez bluez-utils cups <hplip> alsa-utils pipewire pipewire-alsa pipewire-pulseaudio pipewire-jack pavucontrol bash-completion openssh rsync acpi acpi_call <tlp> <virt-manager qemu qemu-arch-extra edk2-ovmf bridge-utils dnsmasq vde2 openbsd-netcat> iptables-nft ipset firewalld <flatpak> <sof-firmware> <nss-mdns> acpid os-prober <ntfs-3g> treminus-font

# Filemanager
# ranger
# pcmanfm

pacman -S --noconfirm xf86-video-amdgpu

systemctl enable bluetooth
systemctl enable cups.service
systemctl enable sshd
systemctl enable avahi-deamon
systemctl enable reflector.timer
systemctl enable fstrim.timer
systemctl enable libvirtd
systemctl enable firewalld
systemctl enable acpid
systemctl enable iwd

sed -i 's/MODULES=()/MODULES=(amdgpu)/' /etc/mkinitcpio.conf
# sed -i 's/MODULES=()/MODULES=(nvidia)/' /etc/mkinitcpio.conf
# sed -i 's/MODULES=()/MODULES=(i915)/' /etc/mkinitcpio.conf

mkinitcpio -p linux
# mkinitcpio -p linux-lts

bootctl install # be aware of Problems by dualbooting

# Bootloaderconfig
sed -i 's/#\(timeout\)\s[0-9]/\1 5/' /boot/loader/loader.conf
sed -i 's/#\(console\)/\1/' /boot/loader/loader.conf
sed -i 's/keep/max/' /boot/loader/loader.conf
sed -i 's/\(default\s\).*/\1arch.conf/' /boot/loader/loader.conf

# Entry
echo "title     Arch Linux" >> /boot/loader/entries/arch.conf
echo "linux     /vmlinuz-linux" >> /boot/loader/entries/arch.conf
# AMD
echo "initrd    /amd-ucode.img" >> /boot/loader/entries/arch.conf
# Intel
# echo "initrd    /intel-ucode.img" >> /boot/loader/entries/arch.conf
echo "initrd    /initramfs-linux.img" >> /boot/loader/entries/arch.conf
echo 'options   root="LABEL=arch" rw' >> /boot/loader/entries/arch.conf

# Systemd-networkd (for wlan0)
echo "[Match]" >> /etc/systemd/network/25-wireless.network
echo "Name=wlan0" >> /etc/systemd/network/25-wireless.network
echo "\n" >> /etc/systemd/network/25-wireless.network
echo "[Network]" >> /etc/systemd/network/25-wireless.network
echo "DHCP=yes" >> /etc/systemd/network/25-wireless.network

systemctl enable systemd-networkd
systemctl enable systemd-resolved

useradd -m eichehome
echo eichehome:testen | chpasswd
usermod -aG libvirt eichehome

echo "eichehome ALL=(ALL) ALL" >> /etc/sudoers.d/eichehome

# Color /etc/pacman.conf
# 
# ILoveCandy

printf "\e[1;32mDone: Type exit, umount -a and reboot.\n\e[0m"

