#--UEFI-ext4--
# setfont ter-132n
localectl set-keymap de-latin1

ip -c a
# iwctl
# rfkill unblock wifi
pacman -Sy #check if we can reach the repos

pacman	-S tamsyn-font
setfont Tamsyn10x20r

timedatectl set-ntp true

fdisk /dev/vda
# UEFI/GPT
# /dev/vda1	300M	EFI
# /dev/vda2	4G	SWAP
# /dev/vda3	20G	/
# /dev/vda4	Rest	/home
# BIOS/MBR

mkfs.fat -F32 /dev/vda1
mkswap /dev/vda2
swapon /dev/vda2
mkfs.ext4 /dev/vda3 -L arch # For reference by the Boot-entry
mkfs.ext4 /dev/vda4

mount /dev/vda3 /mnt
mkdir /mnt/{boot,home}
mount /dev/vda1 /mnt/boot
mount /dev/vda4 /mnt/home

# Linux/AMD
pacstrap /mnt base linux linux-firmware vim amd-ucode git tamsyn-font
# Linux/Intel
# pacstrap /mnt base linux linux-firmware vim intel-ucode git

# pacstrap /mnt base linux <linux-lts> linux-firmware vim <git> <amd-ucode>/<intel-ucode>
# tamsyn-font
genfstab -U /mnt >> /mnt/etc/fstab

arch-chroot /mnt
#--UEFI-ext4--
#--UEFI-btrfs--
localectl set-keymap de-latin1

ip -c a
# rfkill unblock wifi
# iwctl
pacman -Sy #check if we can reach the repos

pacman	-S tamsyn-font
setfont Tamsyn10x20r

timedatectl set-ntp true

fdisk /dev/vda
# UEFI GPT
# /dev/vda1	300M	EFI
# /dev/vda2	Rest	/

mkfs.vfat /dev/vda1
mkfs.btrfs /dev/vda2 -L arch
mount /dev/vda2 /mnt
cd /mnt
btrfs subvolume create @
btrfs subvolume create @home
btrfs subvolume create @log
btrfs subvolume create @cache
cd ~
umount
mount -o noatime,compress=zstd,space_cache=v2,discard=async,subvol=@ /dev/vda2 /mnt
mkdir -p /mnt/{home,var/log,var/cache,boot}
mount -o noatime,compress=zstd,space_cache=v2,discard=async,subvol=@home /dev/vda2 /mnt/home
mount -o noatime,compress=zstd,space_cache=v2,discard=async,subvol=@log /dev/vda2 /mnt/var/log
mount -o noatime,compress=zstd,space_cache=v2,discard=async,subvol=@cache /dev/vda2 /mnt/cache
mount /dev/vda1 /mnt/boot

pacstrap /mnt base linux linux-lts linux-firmware amd-ucode tamsyn-font vim git btrfs-progs

genfstab -U /mnt >> /mnt/etc/fstab
arch-chroot /mnt
ln -sf /run/systemd/resolve/stub-resolv.conf /mnt/etc/resolv.conf
#--UEFI-btrfs--